Download it now!
Bug 131446 - Fileopen DOCX: 1 page opens as 3
Summary: Fileopen DOCX: 1 page opens as 3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2020-03-20 17:11 UTC by Timur
Modified: 2020-05-15 07:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-03-20 17:11:28 UTC
Open MSO 2013 created DOCX attachment 139067 [details] from bug 114975.
It's 1 page, as seen in MSO screenshpt attachment 158832 [details], but in recent LO opens 3 pages, as seen right im attachment 158831 [details]. 
Similar MSO 2007 opens in LO as 1 page, as seen left in the same screenshot.
Comment 1 Aron Budea 2020-03-20 18:11:17 UTC
Confirmed in 7.0.0.0.alpha0+ (5a2c340e00050e21f29ae880593ef4f9ec1ba08d). Already buggy in 6.1.0.3, still fine in 6.0.0.3.

Next time, please add proper version information in the bug report, "recent LO" isn't specific enough. It didn't matter here, but it could matter in cases where the bug isn't reproducible for others.
Comment 2 Aron Budea 2020-03-20 22:39:00 UTC
Bibisected to the following commit using repo bibisect-linux-64-6.1. Adding CC: to Miklos Vajna.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b73bafbc18acb4dd8911d2f2de8158d98eb6144
author		Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 15:31:35 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 20:21:57 +0100

tdf#115719 DOCX import: increase paragraph spacing for anchored objects
Comment 3 Timur 2020-03-22 07:22:30 UTC Comment hidden (no-value)
Comment 4 Commit Notification 2020-04-21 07:18:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/249428202be04ab9a2271a9cd48922523fa03bc4

tdf#131446 DOCX import: restrict IncreasedAnchoredObjectSpacing further

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-04-28 09:41:19 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 4ba1909f12b49f020195b5e767045340717ce6df
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 6 Commit Notification 2020-04-28 09:43:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5a9e5b3d297094fc014f37d0d3843be82b2f4706

tdf#131446 DOCX import: restrict IncreasedAnchoredObjectSpacing further

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.